package com.ruoyi.dz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 开卡申请对象 dz_cards_open
 * 
 * @author ruoyi
 * @date 2025-09-12
 */
public class DzCardsOpen extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标识 */
    private Long id;

    /** 省份 */
    @Excel(name = "省份")
    private String location;

    /** 代理 */
    @Excel(name = "代理")
    private Long agentId;

    /** 起始卡号 */
    @Excel(name = "起始卡号")
    private String startNo;

    /** 截至卡号 */
    @Excel(name = "截至卡号")
    private String endNo;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 学校 */
    @Excel(name = "学校")
    private Long schoolId;

    /** 机构ID */
    @Excel(name = "机构ID")
    private Long deptId;

    /** 发件人 */
    @Excel(name = "发件人")
    private String sender;

    /** 重新开卡：0否，1是 */
    @Excel(name = "重新开卡：0否，1是")
    private Integer isReopen;

    /** 卡类型 */
    @Excel(name = "卡类型")
    private Integer cardType;

    /** 状态(0:无效,1:审核通过,2:拒绝) */
    @Excel(name = "状态(0:无效,1:审核通过,2:审核拒绝)")
    private Integer status;

    /** 审核意见 */
    private String auditDesc;

    /** 代理 */
    private String agentName;

    /** 校区 */
    private String schoolName;

    /** 机构名称 */
    private String deptName;


    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setAgentId(Long agentId) 
    {
        this.agentId = agentId;
    }

    public Long getAgentId() 
    {
        return agentId;
    }

    public void setStartNo(String startNo) 
    {
        this.startNo = startNo;
    }

    public String getStartNo() 
    {
        return startNo;
    }

    public void setEndNo(String endNo) 
    {
        this.endNo = endNo;
    }

    public String getEndNo() 
    {
        return endNo;
    }

    public void setEndDate(Date endDate) 
    {
        this.endDate = endDate;
    }

    public Date getEndDate() 
    {
        return endDate;
    }

    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setSender(String sender) 
    {
        this.sender = sender;
    }

    public String getSender() 
    {
        return sender;
    }

    public void setIsReopen(Integer isReopen)
    {
        this.isReopen = isReopen;
    }

    public Integer getIsReopen()
    {
        return isReopen;
    }

    public void setCardType(Integer cardType)
    {
        this.cardType = cardType;
    }

    public Integer getCardType()
    {
        return cardType;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public String getAuditDesc() {
        return auditDesc;
    }

    public void setAuditDesc(String auditDesc) {
        this.auditDesc = auditDesc;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("agentId", getAgentId())
            .append("startNo", getStartNo())
            .append("endNo", getEndNo())
            .append("endDate", getEndDate())
            .append("schoolId", getSchoolId())
            .append("sender", getSender())
            .append("createTime", getCreateTime())
            .append("isReopen", getIsReopen())
            .append("cardType", getCardType())
            .append("status", getStatus())
            .toString();
    }
}
